Subject: bug#35246: 26.2; Mouse wheel scrolling in GTK build sometimes scrolls the entire buffer

From: Eli Zaretskii <[email-masked]>
Date: Mon, 15 Apr 2019 19:35:07 +0300

> From: Alex Gramiak <[email-masked]>
> Cc: [email-masked]
> Date: Mon, 15 Apr 2019 10:18:24 -0600
> 
> > What does "C-h l" show after that?
> 
> A couple days ago I had a similar event happen (busy cursor pops up, and
> a few seconds later normal mouse scrolling occurred). C-h l in that
> window:
> 
>   <help-echo> <down-mouse-5> <mouse-5> [mwheel-scroll]
>   <double-down-mouse-5> <double-mouse-5> [mwheel-scroll]
>   <triple-down-mouse-5> <triple-mouse-5> [mwheel-scroll]
>   <triple-down-mouse-5> <triple-mouse-5> [mwheel-scroll]
>   <triple-down-mouse-5> <triple-mouse-5> [mwheel-scroll]
>   <triple-down-mouse-5> <triple-mouse-5> [mwheel-scroll]
>   <triple-down-mouse-5> <triple-mouse-5> [mwheel-scroll]
>   <down-mouse-4> <mouse-4> [mwheel-scroll]
>   <double-down-mouse-4> <double-mouse-4> [mwheel-scroll]
>   <help-echo> <down-mouse-5> <mouse-5> [mwheel-scroll]
>   <down-mouse-5> <mouse-5> [mwheel-scroll]
>   C-h l [view-lossage]

So somehow, Emacs receives a long series of mouse wheel-scrolling
events, perhaps due to multiple down-mouse events.  And since we have
mouse-wheel-progressive-speed, a series of such events produces
scrolling far away.

The question is where did those events come from?  Is it possible that
something is wrong with your mouse wheel or the driver?

> Is it possibly the commands with a help-echo prefix?

I don't think so.

> P.S. Is there a way to get the event time in C-h l? If not, I think
> there should be an option for that.

How would that help?  You'll most probably see very close times there.